The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Re-sign Certificates on the Manager

Prev Next

This URL gets the re-sign certificates available on the Manager.

Resource URL

GET /domain/sslconfiguration/resigncert

Request Parameters

URL Parameters: None

Response Parameters

Following fields are returned.

Field Name

Description

Data Type

certificate

Re-sign certificate details

Object list

Details of certificate.

Field Name

Description

Data Type

commonName

Common name for certificate

String

issuedBy

Issued by name

String

validity

Validity duration of the certificate

String

validityStatus

Validity status of the certificate

String

keyLength

Key length of the certificate

String

digest

Digest for the certificate

String

generated

Generated by name

String

certType

Type of the certificate. It can be "Default" or "Custom".

String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/sslconfiguration/resigncert

Response

{
"certificate": [
{
"commonName": "Default 1024-bit Trusted Re-Signing Certificate",
"issuedBy": "Network Security Platform",
"validity": "2016-09-26 - 2020-09-25",
"validityStatus": "VALID",
"keyLength": "1024",
"digest": "SHA256withRSA",
"generated": "2016-10-19 11:56:07.0 ( System )",
"certType": "Defaut"
}
]
}

Error Information

Following error code is returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error